signon 8.54

- Main Page
- Related Pages
- Namespaces
- Classes
- Files

- File List
- File Members

Classes | Namespaces | Macros
signondaemon.h File Reference
`#include <signal.h>`
`#include <unistd.h>`
`#include <errno.h>`
`#include <stdio.h>`
`#include <sys/types.h>`
`#include <QtCore>`
`#include <QtDBus>`
`#include "credentialsaccessmanager.h"`
Include dependency graph for signondaemon.h:
This graph shows which files directly or indirectly include this file:

Go to the source code of this file.

## Classes
class | SignonDaemonNS::SignonDaemonConfiguration
| The daemon's configuration object; loads date from the daemon configuration file. More...
class | SignonDaemonNS::SignonDaemon
| Daemon core. More...

## Namespaces
| SignonDaemonNS

## Macros
#define | SIGNOND_PLUGINS_DIR "/usr/lib/signon"
#define | SIGNOND_PLUGIN_PREFIX QLatin1String("lib")
#define | SIGNOND_PLUGIN_SUFFIX QLatin1String("plugin.so")

## Macro Definition Documentation

#define SIGNOND_PLUGIN_PREFIX QLatin1String("lib")

Definition at line 46 of file signondaemon.h.

#define SIGNOND_PLUGIN_SUFFIX QLatin1String("plugin.so")

Definition at line 50 of file signondaemon.h.

#define SIGNOND_PLUGINS_DIR "/usr/lib/signon"

Definition at line 42 of file signondaemon.h.